## org.eclipse.datatools.sqltools.editor.ui.internal.core
Interface SQLDevToolsUIConfigRegistry

All Known Implementing Classes:
  SQLDevToolsUIConfigRegistryImpl

    public interface SQLDevToolsUIConfigRegistry

Registry for `SQLDevToolsUIConfiguration`s contributed to SQL tools framework.

Author:
  linsong

Method Summary
`SQLDevToolsUIConfiguration` `getConfiguration(java.lang.String product, java.lang.String version)` Returns the `SQLDevToolsUIConfiguration` object corresponding to the product name and version.
`SQLDevToolsUIConfiguration` `getConfigurationById(java.lang.String id)` Returns the `SQLDevToolsUIConfiguration` object by the unique identifier defined in org.eclipse.datatools.sqltools.editor.core.dbFactories extension point.
`SQLDevToolsUIConfiguration` `getConfigurationByName(java.lang.String name)` Returns the `SQLDevToolsUIConfiguration` object by the database definition name.
`SQLDevToolsUIConfiguration` `getConfigurationByVendorIdentifier(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId id)` Returns the `SQLDevToolsUIConfiguration` object by the `DatabaseVendorDefinitionId` object
`java.util.Collection` `getConfigurations()` Returns all the `SQLDevToolsUIConfiguration`s
`java.util.Collection` `getProducts()` Returns the product names.
`java.util.Collection` `getVersions(java.lang.String product)` Returns all the version strings for the given product name

Method Detail

### getProducts

    java.util.Collection getProducts()

  Returns the product names.

  Returns:
    product names

### getConfigurations

    java.util.Collection getConfigurations()

  Returns all the `SQLDevToolsUIConfiguration`s

  Returns:
    `SQLDevToolsUIConfiguration` collection

### getVersions

    java.util.Collection getVersions(java.lang.String product)

  Returns all the version strings for the given product name

  Parameters:
    `product` - product name
  Returns:
    versions for the given product name

### getConfiguration

    SQLDevToolsUIConfiguration getConfiguration(java.lang.String product,
                                                java.lang.String version)

  Returns the `SQLDevToolsUIConfiguration` object corresponding to the product name and version.

  Parameters:
    `product` -
    `version` -
  Returns:
    `SQLDevToolsUIConfiguration` object

### getConfigurationByVendorIdentifier

    SQLDevToolsUIConfiguration getConfigurationByVendorIdentifier(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId id)

  Returns the `SQLDevToolsUIConfiguration` object by the `DatabaseVendorDefinitionId` object

  Parameters:
    `id` - `DatabaseVendorDefinitionId` object represented by product name and version
  Returns:
    `SQLDevToolsUIConfiguration` object

### getConfigurationById

    SQLDevToolsUIConfiguration getConfigurationById(java.lang.String id)

  Returns the `SQLDevToolsUIConfiguration` object by the unique identifier defined in org.eclipse.datatools.sqltools.editor.core.dbFactories extension point.

  Parameters:
    `id` - `SQLDevToolsUIConfiguration` id
  Returns:
    `SQLDevToolsUIConfiguration` object

### getConfigurationByName

    SQLDevToolsUIConfiguration getConfigurationByName(java.lang.String name)

  Returns the `SQLDevToolsUIConfiguration` object by the database definition name.

  Parameters:
    `name` - database definition name, which is product name appended by "_" and version.
  Returns:
    `SQLDevToolsUIConfiguration` object